OGRE: Ogre::RTShader Namespace Reference - OGRE Documentation

Classes | Typedefs | Enumerations | Functions

# Ogre::RTShader Namespace Reference

## Classes
class | CGProgramProcessor
| CG Language program processor class. More...
class | CGProgramWriter
| CG target language writer implementation. More...
class | ShaderProgramWriterCGFactory
| CG program writer factory implementation. More...
class | Function
| A class that represents a shader based program function. More...
class | FunctionAtom
| A class that represents an atomic code section of shader based program function. More...
class | Operand
| A class that represents a function operand (its the combination of a parameter the in/out semantic and the used fields). More...
class | FunctionInvocation
| A class that represents function invocation code from shader based program function. More...
class | ShaderGenerator
| Shader generator system main interface. More...
class | GLSLProgramProcessor
| GLSL Language program processor class. More...
class | GLSLProgramWriter
| GLSL target language writer implementation. More...
class | ShaderProgramWriterGLSLFactory
| GLSL program writer factory implementation. More...
class | HLSLProgramProcessor
| CG Language program processor class. More...
class | HLSLProgramWriter
| HLSL target language writer implementation. More...
class | ShaderProgramWriterHLSLFactory
| HLSL program writer factory implementation. More...
class | SGMaterialSerializerListener
| This class responsible for translating core features of the RT Shader System for Ogre material scripts. More...
class | Parameter
| A class that represents a shader based program parameter. More...
class | UniformParameter
| Uniform parameter class. More...
class | ConstParameter
| Helper template which is the base for our ConstParameters. More...
class | ParameterFactory
| Helper utility class that creates common parameters. More...
class | Program
| A class that represents a shader based program. More...
class | ProgramManager
| A singleton manager class that manages shader based programs. More...
class | ProgramProcessor
| A class that provides extra processing services on CPU based programs. More...
class | ProgramSet
| Container class for shader based programs. More...
class | ProgramWriter
| Base class interface for shader program writers. More...
class | ProgramWriterFactory
| Interface definition for factories of ShaderProgramWriter. More...
class | ProgramWriterManager
class | RenderState
| This is a container class for sub render state class. More...
class | TargetRenderState
| This is the target render state. More...
class | SGScriptTranslator
| This class responsible for translating core features of the RT Shader System for Ogre material scripts. More...
class | SubRenderState
| This class is the base interface of sub part from a shader based rendering pipeline. More...
class | SubRenderStateAccessor
| This class uses as accessor from a template SubRenderState to all of its instances that created based on it. More...
class | SubRenderStateFactory
| Abstract factory interface for creating SubRenderState implementation instances. More...
## Typedefs
typedef vector< Function * >::type | ShaderFunctionList
typedef ShaderFunctionList::iterator | ShaderFunctionIterator
typedef ShaderFunctionList::const_iterator | ShaderFunctionConstIterator
typedef vector< FunctionAtom * > ::type | FunctionAtomInstanceList
typedef FunctionAtomInstanceList::iterator | FunctionAtomInstanceIterator
typedef FunctionAtomInstanceList::const_iterator | FunctionAtomInstanceConstIterator
typedef SharedPtr< Parameter > | ParameterPtr
typedef vector< ParameterPtr > ::type | ShaderParameterList
typedef ShaderParameterList::iterator | ShaderParameterIterator
typedef ShaderParameterList::const_iterator | ShaderParameterConstIterator
typedef SharedPtr < UniformParameter > | UniformParameterPtr
typedef vector < UniformParameterPtr >::type | UniformParameterList
typedef UniformParameterList::iterator | UniformParameterIterator
typedef UniformParameterList::const_iterator | UniformParameterConstIterator
typedef vector< RenderState * > ::type | RenderStateList
typedef RenderStateList::iterator | RenderStateIterator
typedef RenderStateList::const_iterator | RenderStateConstIterator
typedef SharedPtr < SubRenderStateAccessor > | SubRenderStateAccessorPtr
typedef vector< SubRenderState * > ::type | SubRenderStateList
typedef SubRenderStateList::iterator | SubRenderStateListIterator
typedef SubRenderStateList::const_iterator | SubRenderStateListConstIterator
typedef set< SubRenderState * > ::type | SubRenderStateSet
typedef SubRenderStateSet::iterator | SubRenderStateSetIterator
typedef SubRenderStateSet::const_iterator | SubRenderStateSetConstIterator
## Enumerations
enum | FFPVertexShaderStage { FFP_VS_PRE_PROCESS = 0, FFP_VS_TRANSFORM = 100, FFP_VS_COLOUR = 200, FFP_VS_LIGHTING = 300, FFP_VS_TEXTURING = 400, FFP_VS_FOG = 500, FFP_VS_POST_PROCESS = 2000 }
enum | FFPFragmentShaderStage { FFP_PS_PRE_PROCESS = 0, FFP_PS_COLOUR_BEGIN = 100, FFP_PS_TEXTURING = 200, FFP_PS_COLOUR_END = 300, FFP_PS_FOG = 400, FFP_PS_POST_PROCESS = 500 }
enum | FFPShaderStage { FFP_PRE_PROCESS = 0, FFP_TRANSFORM = 100, FFP_COLOUR = 200, FFP_LIGHTING = 300, FFP_TEXTURING = 400, FFP_FOG = 500, FFP_POST_PROCESS = 600 }
enum | VSOutputCompactPolicy { VSOCP_LOW = 0, VSOCP_MEDIUM = 1, VSOCP_HIGH = 2 }
## Functions
template<class T >
void | sh_hash_combine (uint32 &seed, T const &v)
| Utility function with same style as boost::hash_combine.

## Enumeration Type Documentation

enum Ogre::RTShader::VSOutputCompactPolicy

Enumerator:

  VSOCP_LOW |
  VSOCP_MEDIUM |
  VSOCP_HIGH |

Definition at line 81 of file OgreShaderPrerequisites.h.

## Function Documentation

template<class T >

void Ogre::RTShader::sh_hash_combine | ( | uint32 & | seed,
|  | T const & | v |
| ) |  |  |

Utility function with same style as boost::hash_combine.

Definition at line 75 of file OgreShaderPrerequisites.h.

References Ogre::FastHash().

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:05